# Theme OceanWP: Use language selector in the main menu

To create the mobile menu, the OceanWP theme duplicate the main menu with modified attribute. To fix Weglot language selector on this mobile menu, you must add the following code into your functions.php file. It's add JavaScript code into your page to fix this modified attribute.

Theme OceanWP website : <https://oceanwp.org/>

```php
<?php

add_action( 'wp_footer', 'weglotsupport_wpocean_menu' );
function weglotsupport_wpocean_menu() {
    ?>
    <script type="text/javascript">
        /* WEGLOT FIX WP OCEAN MENU */
        jQuery(document).ready(function ($) {
            var weglotMenuDone = false;
            jQuery(document).on('click', '.oceanwp-theme .mobile-menu', function() {
                if (weglotMenuDone) {
                    return;
                }
                jQuery(".sidr-class-weglot-flags").each(function() {
                    if ( typeof jQuery(this).attr("class") !== 'undefined' ) {
                        var element_class = jQuery(this).attr("class");
                        jQuery(this).addClass( element_class.replace(/sidr-class-/g, ''));
                    }
                });
                weglotMenuDone = true;
            } );
        });
    </script>
    <?php
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.weglot.com/wordpress/use-cases/theme-oceanwp-use-language-selector-in-the-main-menu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
